import React from 'react';
import {ActivityIndicator, View, StyleSheet} from 'react-native';
import User from '../../services/User';
import Constants from '../../lib/constants';

class AuthLoading extends React.Component {
  componentDidMount() {
    this.checkSession();
  }

  checkSession = async () => {
    User.auth.onAuthStateChanged(u => {
      this.props.navigation.navigate(u ? 'Trainings' : 'Login');
    });
  };

  render() {
    return (
      <View style={styles.container}>
        <ActivityIndicator
          size="large"
          color="#FFFFFF"
          style={styles.activity}
        />
      </View>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    backgroundColor: Constants.colors.primary,
    flex: 1,
    alignItems: 'center',
  },

  activity: {
    top: '50%',
  },
});

export default AuthLoading;
