import React from 'react';
import {View, Text, StyleSheet, Button, FlatList} from 'react-native';
import Constants from '../../lib/constants';

function Item({order, description, distance}) {
  return (
    <View style={styles.item}>
      <Text style={styles.order}>Treino {order}</Text>
      <Text style={styles.description}>{description}</Text>
      <Text style={styles.description}>D: {distance}</Text>
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    backgroundColor: 'white',
    flex: 1,
    alignItems: 'center',
  },

  logo: {
    height: 200,
  },

  item: {
    fontSize: 10,
  },

  order: {
    color: Constants.colors.primary,
    fontWeight: 'bold',
    fontSize: 20,
  },

  description: {
    fontSize: 15,
    alignItems: 'flex-start',
  },
});

export default Item;
