import React from 'react';
import {View, Text, StyleSheet, Button, FlatList} from 'react-native';
import Constants from '../../lib/constants';
import User from '../../services/User';
import Item from './TrainingItem';


class Trainings extends React.Component {
  state = {
    lista: [
      {
        completedat: '24/09/2019',
        createdAT: '22/09/2019',
        description: `Aquecimento
Correr 1000m metros X100m CA`,
        meters: 1000,
        order: 1,
        seconds: 2400,
      },

      {
        completedat: '26/09/2019',
        createdAT: '22/09/2019',
        description: `Aquecimento
Correr 2000m metros X200m CA`,
        meters: 2000,
        order: 2,
        seconds: 4800,
      },

      {
        completedat: '28/09/2019',
        createdAT: '22/09/2019',
        description: `Aquecimento
Correr 1500m metros X400m CA`,
        meters: 1500,
        order: 3,
        seconds: 2400,
      },

      {
        completedat: '30/09/2019',
        createdAT: '22/09/2019',
        description: `700m CA
Correr 3000m metros X100m CA`,
        meters: 3000,
        order: 4,
        seconds: 3600,
      },
    ],
  };

  static navigationOptions = {
    title: 'Treinos',
    headerStyle: {
      backgroundColor: Constants.colors.primary,
    },
    headerTintColor: 'white',
  };

  logout = () => {
    User.logout().then(() => {
      this.props.navigation.navigate('Login');
    });
  };

  render() {
    return (
      <View style={styles.container}>
        <FlatList
          data={this.state.lista}
          renderItem={({item}) => (
            <Item
              order={item.order}
              description={item.description}
              distance={item.meters}
            />
          )}
          keyExtractor={item => item.order}></FlatList>
        <Button onPress={this.logout} title="Sair" />
      </View>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    backgroundColor: 'white',
    flex: 1,
    alignItems: 'center',
  },

  logo: {
    height: 200,
  },

  item: {
    fontSize: 10,
  },

  order: {
    color: Constants.colors.primary,
    fontWeight: 'bold',
    fontSize: 20,
  },

  description: {
    fontSize: 15,
    alignItems: 'flex-start',
  },

  actionsContainer: {
    backgroundColor: 'white',
    width: '85%',
    borderRadius: 15,
    height: 300,
    marginBottom: 150,
    alignItems: 'center',
    paddingVertical: 50,
  },

  formContainer: {
    flex: 2,
    justifyContent: 'space-around',
  },

  submitContainer: {
    flex: 1,
    marginTop: 30,
    justifyContent: 'center',
  },
});

export default Trainings;
